org.glassfish.jersey.server.monitoring

## Interface MonitoringStatisticsListener

    @Contract
     @ConstrainedTo(value=SERVER)
    public interface MonitoringStatisticsListener

A Jersey specific provider that listens to monitoring statistics. Each time when new statistics are available, the implementation of `MonitoringStatisticsListener` will be called and new statistics will be passed. Statistics are calculated in irregular undefined intervals.

The provider must not throw any exception.

The implementation of this interface can be registered as a standard Jersey/JAX-RS provider by annotating with `@Provider` annotation in the case of class path scanning, by registering as a provider using `ResourceConfig` or by returning from `Application.getClasses()` or `Application.getSingletons()`}. The provider can be registered only on the server side.

Author:
  Miroslav Fuksa
See Also:
  `DestroyListener`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onStatistics(MonitoringStatistics statistics)` The method is called when new statistics are available and statistics are passed as an argument.

### Method Detail

#### onStatistics

    void onStatistics(MonitoringStatistics statistics)

The method is called when new statistics are available and statistics are passed as an argument.

Parameters:
  `statistics` - Newly calculated monitoring statistics.